Warning about using 3rd party modules

Need a module converted from 3.2.x to UnrealIRCd 4? Or looking for a certain module? Ask here.

Moderators: Gottem, Supporters

Post Reply
Syzop
UnrealIRCd head coder
Posts: 1784
Joined: Sat Mar 06, 2004 8:57 pm
Location: .nl
Contact:

Warning about using 3rd party modules

Post by Syzop » Tue Mar 28, 2017 5:12 pm

Just a warning to everyone using 3rd party modules:
While 3rd party modules can be a powerful tool, you should also realize that they can crash the IRC Server if they contain a coding mistake.
Currently more than 90% of the crashes reported to UnrealIRCd are crashes in 3rd party modules or due to source code modifications.

So: feel free to use 3rd party modules, but be aware of the above.
Also, when you crash repeatedly, consider (re)starting UnrealIRCd without all 3rd party modules, chances are high you will no longer crash.

Gottem
Posts: 133
Joined: Fri Aug 19, 2016 5:26 pm
Location: NL

Re: Warning about using 3rd party modules

Post by Gottem » Tue Mar 28, 2017 7:13 pm

Since the majority come from me, here's something to keep in mind.

We use about 90% of these modules on my network as well, so any crashes/bugs are quickly found and fixed (ever wonder why all my stuff is in a git repo?). ;] As such, there's a good chance the module that causes a crash is (severely) outdated and needs updating, so be sure to try that first.

If it still crashes, try unloading all 3rd party mods and see if the problem goes away. If it does, re-load the mods and check out my further instructions.

EDIT 2017-05-13: We also have an RSS feed for the modules repo now so you can easily keep track of commits. ;]
If you like my modules, pls consider donating (through PayPal) or becoming a monthly Patron ;];]

Post Reply